#include "types.h"
#include "console.h"
#include "idt.h"
#include "inline_asm.h"
#include "keyboard.h"

extern void _print_sp(void);

void start_kernel(void)
{
	char str[] = "C START!";
	//unsigned char *tt = (unsigned char *)0x0;
	//int i;

		
	init_screen();

	caos_printf("%s\n", str);

	init_idt();

	set_idtr();


	sti();

	// exception test
	caos_printf("\n ## TEST EXCEPTION ## \n");
	_test_except();
	caos_printf("\n ## TEST IRQ ##\n");
	//_test_irq();
	
	init_keyboard();


	caos_printf("CaOS KERNEL END!!\n");
	while (1) ;
}
